package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.model.SignUpModel;
import kr.co.zumo.app.lifeplus.view.Event;
import kr.co.zumo.app.lifeplus.view.ISignUpView;
import kr.co.zumo.app.lifeplus.view.fragment.FragmentBase;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpNeedFor30daysPresenter;

/**
 * SignUpNeedFor30daysFragment
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-09-21]   [최초 작성]
 * @since 2018-09-21
 */
public class SignUpNeedFor30daysFragment extends FragmentBase<SignUpNeedFor30daysPresenter> implements ISignUpView {

  @Override
  public void onCreate(@Nullable Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
  }

  @Nullable
  @Override
  public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
    return inflater.inflate(R.layout.fragment_sign_up_start1, container, false);
  }

  @Override
  protected void onAfterActivityCreated(Bundle savedInstanceState) {

    Button buttonAuthorization = (Button) getView().findViewById(R.id.sign_up_mobile_authorization_button);

    buttonAuthorization.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View view) {
        presenter.onEvent(new Event.Builder(Event.SUCCESS).build());
      }
    });
  }

  @Override
  protected SignUpNeedFor30daysPresenter definePresenter() {
    return new SignUpNeedFor30daysPresenter(getModel(SignUpModel.class), this);
  }

}
